'将字节数组文本格式，转换成 byte 的字符串中
Function ChrToStr(zby as String) as String
   '将字节数组文本格式，转换成 String
   Dim as Integer  I,A ,U ,i2
   Dim bb as Byte Ptr
   Dim Ss as String
   a = Len(zby)
   If a = 0 Then
      Function = ""
      Exit Function
   End If
   If a Mod 3 = 0 Then
      u = (a / 3) -1
   Else
      u = Int(a / 3)
   End If
   ss = String(u + 1, 0)
   
   bb = StrPtr(ss)
   For I = 1 To Len(zby) Step 3
      bb[i2] = Val("&H" + Mid(zby, I, 2))
      i2 += 1
   Next
   Function = ss
End Function